Ledga
DELETE/journals/{journalId}

Delete a journal

Remove the specified journal.

Parameters

NameInTypeDescription
journalIdrequired path string
uuid
Journal UUID

Responses

204Journal deleted

No body.

401Unauthenticated
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
403Forbidden (cannot delete DEFAULT journal)
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
404Journal not found
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
409Cannot delete journal with existing transactions
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}

Examples

curl -X DELETE https://ledga.io/api/v1/journals/{journalId} \
  -H "Authorization: Bearer sk_xxxxxxxx_your_secret"

← All endpoints